DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-07-06-EmailAttachments_IsBodyPart';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4147) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE public."EmailAttachments" ADD "IsBodyPart" boolean NULL;
			ALTER TABLE public."EmailAttachments" ADD "ContentType" character varying(128) NULL;
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-07-06-EmailAttachments_IsBodyPart: %', SQLERRM;
		END;
	END;
$$